diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index 6eaed1e..a8f574e 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -587,7 +587,8 @@ tar -cf backup.tar /usr/local/pgsql/data
     the administrator specify a shell command to be executed to copy a
     completed segment file to wherever it needs to go.  The command could be
     as simple as a <literal>cp</>, or it could invoke a complex shell
-    script &mdash; it's all up to you.
+    script &mdash; it's all up to you. There however are some things to consider
+    when creating such a command, most of which are covered below.
    </para>
 
    <para>
@@ -636,7 +637,11 @@ test ! -f /mnt/server/archivedir/00000001000000A900000065 &amp;&amp; cp pg_wal/0
     <productname>PostgreSQL</> will assume that the file has been
     successfully archived, and will remove or recycle it.  However, a nonzero
     status tells <productname>PostgreSQL</> that the file was not archived;
-    it will try again periodically until it succeeds.
+    it will try again periodically until it succeeds. Note that an exit
+    status of 128 or higher will cause the archiver to exit, resulting in a
+    <literal>FATAL</> error in the server log. It will be restarted by the
+    postmaster and continue where it left. E.g., <command>rsync</> is known
+    for returning exit statuses of 255 on network issues.
    </para>
 
    <para>
@@ -696,6 +701,16 @@ test ! -f /mnt/server/archivedir/00000001000000A900000065 &amp;&amp; cp pg_wal/0
     preserve the file name (<literal>%f</>).
    </para>
 
+  <para>
+    Depending on your specific requirements (and datacenter layout), you may
+    want to make sure that the archived WAL segments have been written out to
+    persistent storage before the <command>archive_command</> returns.
+    Otherwise, a WAL segment that is assumed by <productname>PostgreSQL</>
+    to be archived could be recycled or removed prematurely, rendering your
+    archive incomplete (and thus disabling a recovery) in case of an outage of
+    the archiving destination.
+  </para>
+
    <para>
     Note that although WAL archiving will allow you to restore any
     modifications made to the data in your <productname>PostgreSQL</> database,
